# Uses of Class
com.sun.net.httpserver.Filter

Packages that use Filter
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.

- ## Uses of Filter in com.sun.net.httpserver

  Methods in com.sun.net.httpserver that return Filter
  Modifier and Type
  Method
  Description
  `static Filter`
  Filter.`adaptRequest(String description, UnaryOperator<Request> requestOperator)`
  Returns a pre-processing Filter that inspects and possibly adapts the request state.
  `static Filter`
  Filter.`afterHandler(String description, Consumer<HttpExchange> operation)`
  Returns a post-processing `Filter` with the given description and operation.
  `static Filter`
  Filter.`beforeHandler(String description, Consumer<HttpExchange> operation)`
  Returns a pre-processing `Filter` with the given description and operation.
  `static Filter`
  SimpleFileServer.`createOutputFilter(OutputStream out, SimpleFileServer.OutputLevel outputLevel)`
  Creates a post-processing Filter that prints log messages about exchanges.
  Methods in com.sun.net.httpserver that return types with arguments of type Filter
  Modifier and Type
  Method
  Description
  `abstract List<Filter>`
  HttpContext.`getFilters()`
  Returns this context's `List` of filters.
  Methods in com.sun.net.httpserver with parameters of type Filter
  Modifier and Type
  Method
  Description
  `static HttpServer`
  HttpServer.`create(InetSocketAddress addr, int backlog, String path, HttpHandler handler, Filter... filters)`
  Creates an `HttpServer` instance with an initial context.
  `static HttpsServer`
  HttpsServer.`create(InetSocketAddress addr, int backlog, String path, HttpHandler handler, Filter... filters)`
  Creates an `HttpsServer` instance with an initial context.
  Constructor parameters in com.sun.net.httpserver with type arguments of type Filter
  Modifier
  Constructor
  Description
  ``
  `Chain(List<Filter> filters, HttpHandler handler)`
  Creates a `Chain` instance with given filters and handler.